Package org.eclipse.emf.cdo.ui

# Class CDOLabelDecorator

java.lang.Object
org.eclipse.emf.cdo.ui.CDOLabelDecorator

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelDecorator`

public class CDOLabelDecorator extends Object implements ILabelDecorator
Decorates labels of `CDO objects` according to a pattern.

Since:
  2.0
Author:
  Victor Roldan Betancort

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`DECORATION_PROPOSALS`
`static final String`
`DECORATOR_ID`
`static final String`
`DEFAULT_DECORATION`
`static final String`
`NO_DECORATION`

## Constructor Summary

Constructors
Constructor
Description
`CDOLabelDecorator()`
`CDOLabelDecorator(String pattern)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ILabelProviderListener listener)`
`static Image`
`decorate(Image image, Object element)`
`Image`
`decorateImage(Image image, Object element)`
`String`
`decorateText(String text, Object element)`
`void`
`dispose()`
`protected String`
`getObjectState(InternalCDOObject object)`
`boolean`
`isLabelProperty(Object element, String property)`
`String`
`parsePattern(String unparsedPattern)`
`void`
`removeListener(ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DECORATION_PROPOSALS

public static final String[] DECORATION_PROPOSALS

### DEFAULT_DECORATION

public static final String DEFAULT_DECORATION

### NO_DECORATION

public static final String NO_DECORATION

### DECORATOR_ID

public static final String DECORATOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### CDOLabelDecorator

public CDOLabelDecorator()

### CDOLabelDecorator

public CDOLabelDecorator(String pattern)

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`

### parsePattern

public String parsePattern(String unparsedPattern)

### decorateImage

public Image decorateImage(Image image, Object element)

Specified by:
  `decorateImage` in interface `ILabelDecorator`

### decorateText

public String decorateText(String text, Object element)

Specified by:
  `decorateText` in interface `ILabelDecorator`

### isLabelProperty

public boolean isLabelProperty(Object element, String property)

Specified by:
  `isLabelProperty` in interface `IBaseLabelProvider`

### addListener

public void addListener(ILabelProviderListener listener)

Specified by:
  `addListener` in interface `IBaseLabelProvider`

### removeListener

public void removeListener(ILabelProviderListener listener)

Specified by:
  `removeListener` in interface `IBaseLabelProvider`

### getObjectState

protected String getObjectState(InternalCDOObject object)

Since:
  4.4

### decorate

public static Image decorate(Image image, Object element)

Since:
  4.4